%global _legacy_common_support 1

%define gamelibdir	%{_libdir}/games/%{name}

Name:		warsow
Summary:	A fast-paced first-person-shooter game
Version:	2.1
Release:	%mkrel 4
License:	GPLv2
Group:		Games/Shooter
URL:		https://www.warsow.net/
# Huge, contains all data sources (500MB+)
#Source0:	http://update.warsow.gg/mirror/warsow_21_sdk.tar.gz
# Derived from http://ftp.heanet.ie/mirrors/www.getdeb.net/getdeb/ubuntu/pool/games/w/warsow/warsow_2.10.orig.tar.xz
# with embedded libraries removed.
Source0:	%{name}-%{version}.tar.xz
Source1:	%{name}.desktop
Source2:	%{name}.png
Patch0:		warsow-2.1-fix-cmake.patch
Patch1:		warsow-2.1-fix-linkings.patch
Patch2:		qfusion-git-Remove-sound-mixer-asm-for-GNU-C.patch

# Warsow is only ported to these architectures
ExclusiveArch:	%{ix86} x86_64 %{arm}

BuildRequires:	cmake
BuildRequires:	dos2unix
BuildRequires:	imagemagick
BuildRequires:	pkgconfig(freetype2)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(ogg)
BuildRequires:	pkgconfig(openal)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(sdl2)
BuildRequires:	pkgconfig(theora)
BuildRequires:	pkgconfig(vorbis)
BuildRequires:	pkgconfig(xi)
BuildRequires:	pkgconfig(xinerama)
BuildRequires:	pkgconfig(xorg-server)
BuildRequires:	pkgconfig(xrandr)
BuildRequires:	pkgconfig(zlib)

Requires:	%{name}-data

%description
Warsow is a free standalone first person shooter game based on the Qfusion 3D
engine (a modification of the Quake 2 GPL engine), and aimed on the competitive
scene, or the e-sports community.

The base gameplay is focused around the art of movement; speed and tricks play
a big part in the gameplay. Besides this, mapcontrol, aim, teamplay and
fragging skills play their role too.

Another twist in gameplay is the weapon system. Warsow has two firing
modes for each weapon; by picking up a weapon, you will be equipped with the
standard (weak) ammo for the weapon, but when you pick up an ammo pack, you
will equip your weapon with special (strong) ammo. Weapons may have different
damage or slightly different behaviour depending on which ammo you use.

To keep the focus on competitive gaming, visibility is important in Warsow.
Cell-shaded, cartoon-like styles on the maps, textures, and models combine for
good visibility, suitable for competitive gameplay.

%files
%doc docs/*
%{_gamesbindir}/%{name}
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/applications/*.desktop
%{_gamesdatadir}/%{name}/
%{gamelibdir}/libs/
%dir %{gamelibdir}

#----------------------------------------------------------------

%package server
Group:		Games/Shooter
Summary:	Dedicated server for Warsow
Requires:	%{name}-data

%description server
Warsow is a free and open source cross-platform
third-person action game using a modified version of the ioquake3 engine.

This package contains the dedicated server for Warsow.

%files server
%{_gamesbindir}/%{name}-server
%{_gamesbindir}/%{name}-tv-server

#----------------------------------------------------------------

%prep
%setup -q
%autopatch -p1

sed -i -e "/fs_basepath =/ s:\.:%{_gamesdatadir}/%{name}:" source/source/qcommon/files.c

dos2unix docs/{license.txt,sourcecode_quickstart.txt}

%build
%global _vpath_srcdir source/source
%cmake \
	-DQFUSION_GAME=Warsow
%cmake_build

%install
pushd source/source
mkdir -p %{buildroot}%{_datadir}/applications
mkdir -p %{buildroot}%{_iconsdir}/hicolor/{32x32,64x64,128x128,256x256}/apps
mkdir -p %{buildroot}%{_gamesbindir}
mkdir -p %{buildroot}%{_gamesdatadir}/%{name}
mkdir -p %{buildroot}%{gamelibdir}/libs

install -m 0644 %{SOURCE2} %{buildroot}%{_iconsdir}/hicolor/256x256/apps/%{name}.png
convert -scale 128x128 %{SOURCE2} %{buildroot}%{_iconsdir}/hicolor/128x128/apps/%{name}.png
convert -scale 64x64 %{SOURCE2} %{buildroot}%{_iconsdir}/hicolor/64x64/apps/%{name}.png
convert -scale 32x32 %{SOURCE2} %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png

install -m 755 %{_vpath_builddir}/warsow.* %{buildroot}%{_gamesbindir}/%{name}
install -m 755 %{_vpath_builddir}/wsw_server.* %{buildroot}%{_gamesbindir}/%{name}-server
install -m 755 %{_vpath_builddir}/wswtv_server.* %{buildroot}%{_gamesbindir}/%{name}-tv-server

cp %{SOURCE1} "%{buildroot}%{_datadir}/applications/"

install -m 755 %{_vpath_builddir}/libs/*.so %{buildroot}%{gamelibdir}/libs/
ln -s %{gamelibdir}/libs %{buildroot}%{_gamesdatadir}/%{name}/libs
popd


%changelog
* Mon Jan 02 2023 daviddavid <daviddavid> 2.1-4.mga9
+ Revision: 1929207
- build with -fcommon to fix the build with gcc >= 10
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Fri Feb 21 2020 daviddavid <daviddavid> 2.1-3.mga8.nonfree
+ Revision: 1549084
- disable aarch64 as Warsow is only ported to these architectures x86, x86_64 and arm
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Fri Sep 21 2018 umeabot <umeabot> 2.1-2.mga7.nonfree
+ Revision: 1291999
- Mageia 7 Mass Rebuild

* Sun Nov 20 2016 akien <akien> 2.1-1.mga6.nonfree
+ Revision: 1068454
- Replace 500+ MB tarball by slimmed down 5 MB one
- Add upstream (qfusion engine) patch to fix i586 build
+ daviddavid <daviddavid>
- new version: 2.1 (fixes mga#17282)
- update URL and Source URL
- switch to SDL2
- move data to gamesdatadir and move binaries to gamesbindir
- add patch1 to fix some linkings

* Sat Nov 19 2016 daviddavid <daviddavid> 1.51-4.mga6.nonfree
+ Revision: 1068324
- Mageia 6 Mass Rebuild
- enable DEBUG_BUILD thus fixing empty debugfiles
- fix some "wrong-file-end-of-line-encoding" doc files
- switch BRs to pkgconfig()

* Wed Oct 15 2014 umeabot <umeabot> 1.51-3.mga5.nonfree
+ Revision: 743159
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.51-2.mga5.nonfree
+ Revision: 690270
- Mageia 5 Mass Rebuild

* Mon Aug 04 2014 juancho <juancho> 1.51-1.mga5.nonfree
+ Revision: 659519
- Updated to version 1.51.

* Thu Oct 31 2013 tmb <tmb> 1.03-3.mga4.nonfree
+ Revision: 548530
- Mageia 4 rebuild

* Wed Jun 05 2013 fwang <fwang> 1.03-2.mga4.nonfree
+ Revision: 437447
- fix requires

* Wed Jun 05 2013 fwang <fwang> 1.03-1.mga4.nonfree
+ Revision: 437426
- new version 1.03

* Mon Jan 14 2013 umeabot <umeabot> 1.02-7.mga3.nonfree
+ Revision: 385602
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 malo <malo> 1.02-6.mga3.nonfree
+ Revision: 343866
- updated RPM group and fixed summary

* Sat Jan 05 2013 juancho <juancho> 1.02-5.mga3.nonfree
+ Revision: 338835
- Move symlink creation of the data package contents to the warsow-data package.

* Thu Jan 03 2013 juancho <juancho> 1.02-4.mga3.nonfree
+ Revision: 337974
+ rebuild (emptylog)

* Wed Jan 02 2013 juancho <juancho> 1.02-3.mga3.nonfree
+ Revision: 337564
- Fixed bug #8103: Couldn't find textures.

* Mon Oct 22 2012 dams <dams> 1.02-2.mga3.nonfree
+ Revision: 309283
- update/fix %%group as requested by malo on -dev@

* Mon Oct 22 2012 dams <dams> 1.02-1.mga3.nonfree
+ Revision: 309247
- new version 1.02

* Wed Aug 01 2012 dams <dams> 1.0-1.mga3.nonfree
+ Revision: 277268
- update BuildRequires
- update icon game for better rendering with GNOME3
- new version 1.0
- clean specfile

* Sun Feb 26 2012 fwang <fwang> 0.62-2.mga2.nonfree
+ Revision: 215133
- drop versioned req on data package

* Wed Feb 15 2012 juancho <juancho> 0.62-1.mga2.nonfree
+ Revision: 209200
- Uploaded 0.62 sources
- Updated to 0.62

* Wed Feb 08 2012 juancho <juancho> 0.61-1.mga2.nonfree
+ Revision: 206516
- Changed %%make macro for make command to see if it build doesn't fail in BS
- imported package warsow


* Fri Sep 23 2011 Alexander Barakin <abarakin@mandriva.org> 0.61-1mdv2012.0
+ Revision: 701056
- fix buildreq
- add libvorbis-devel buildreq
- add xinerama-dev package
- imported package warsow

